# Class Octal

java.lang.Object
com.codename1.io.tar.Octal

public final class Octal extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getCheckSumOctalBytes(long value, byte[] buf, int offset, int length)`
  Parse the checksum octal integer from a header buffer.
  `static int`
  `getLongOctalBytes(long value, byte[] buf, int offset, int length)`
  Parse an octal long integer from a header buffer.
  `static int`
  `getOctalBytes(long value, byte[] buf, int offset, int length)`
  Parse an octal integer from a header buffer.
  `static long`
  `parseOctal(byte[] header, int offset, int length)`
  Parse an octal string from a header buffer.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Method Details

  - ### parseOctal

    public static long parseOctal(byte[] header, int offset, int length)

    Parse an octal string from a header buffer. This is used for the file permission mode value.

    ###### Parameters

    - `header`: The header buffer from which to parse.

    - `offset`: The offset into the buffer from which to parse.

    - `length`: The number of header bytes to parse.

    ###### Returns

    The long value of the octal string.

  - ### getOctalBytes

    public static int getOctalBytes(long value, byte[] buf, int offset, int length)

    Parse an octal integer from a header buffer.

    ###### Parameters

    - `value`

    - `buf`: The header buffer from which to parse.

    - `offset`: The offset into the buffer from which to parse.

    - `length`: The number of header bytes to parse.

    ###### Returns

    The integer value of the octal bytes.

  - ### getCheckSumOctalBytes

    public static int getCheckSumOctalBytes(long value, byte[] buf, int offset, int length)

    Parse the checksum octal integer from a header buffer.

    ###### Parameters

    - `value`

    - `buf`: The header buffer from which to parse.

    - `offset`: The offset into the buffer from which to parse.

    - `length`: The number of header bytes to parse.

    ###### Returns

    The integer value of the entry's checksum.

  - ### getLongOctalBytes

    public static int getLongOctalBytes(long value, byte[] buf, int offset, int length)

    Parse an octal long integer from a header buffer.

    ###### Parameters

    - `value`

    - `buf`: The header buffer from which to parse.

    - `offset`: The offset into the buffer from which to parse.

    - `length`: The number of header bytes to parse.

    ###### Returns

    The long value of the octal bytes.